%global srcname faulthandler

Name:           python2-%{srcname}
Version:        2.4
Release:        2%{?dist}
Summary:        Display the Python traceback on a crash

License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/f/%{srcname}/%{srcname}-%{version}.tar.gz

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-nose

%description
Fault handler for SIGSEGV, SIGFPE, SIGABRT, SIGBUS and SIGILL signals:
display the Python traceback and restore the previous handler.
Allocate an alternate stack for this handler, if sigaltstack() is available,
to be able to allocate memory on the stack, even on stack overflow.

%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build

%install
%py2_install

%check
# On i686 we can run all tests
%ifarch i686
PYTHONPATH=%{buildroot}%{python2_sitearch} nosetests-%{python2_version}
%else
# On other archs we need to skip one test
PYTHONPATH=%{buildroot}%{python2_sitearch} nosetests-%{python2_version} --exclude=test_stack_overflow
%endif

%files
%doc README
%license COPYING
%{python2_sitearch}/%{srcname}.so
%{python2_sitearch}/%{srcname}-%{version}-py%{python2_version}.egg-info/

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Aug 29 2016 Dominika Krejci <dkrejci@redhat.com> - 2.4-1
- Inital release

